/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_facet_lang_v
AS
 SELECT 'ALL' id, xxas_com_msg_pkg.get_string('XXAS_SRC_CRAWL_ALL_LANG') value FROM DUAL
  UNION
  SELECT LANGUAGE_CODE id,  LANGUAGE_CODE || xxas_com_msg_pkg.get_string('XXAS_SRC_CRAWL_BASE_LANG') value FROM fnd_languages_vl
  WHERE installed_flag in ('I','B');     
BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_FACET_LANG_V'
   ,p_description            => 'Applaud Faceted Search Crawler Language Parameters');
END;
/

COMMIT;
EXIT;

